% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sort_p.R
\name{sort_p.tbl_regression}
\alias{sort_p.tbl_regression}
\title{Sort variables in table by ascending p-values}
\usage{
\method{sort_p}{tbl_regression}(x, ...)
}
\arguments{
\item{x}{An object created using \code{tbl_regression} function}

\item{...}{Not used}
}
\value{
A \code{tbl_regression} object
}
\description{
Sort variables in tables created by \link{tbl_regression} by ascending p-values
}
\section{Example Output}{

\if{html}{\figure{tbl_lm_sort_p_ex.png}{options: width=50\%}}
}

\examples{
tbl_lm_sort_p_ex <-
  glm(response ~ trt + grade, trial, family = binomial(link = "logit")) \%>\%
  tbl_regression(exponentiate = TRUE) \%>\%
  sort_p()
}
\seealso{
Other tbl_regression tools: 
\code{\link{add_global_p.tbl_regression}()},
\code{\link{add_nevent.tbl_regression}()},
\code{\link{bold_italicize_labels_levels}},
\code{\link{bold_p.tbl_regression}()},
\code{\link{bold_p.tbl_stack}()},
\code{\link{combine_terms}()},
\code{\link{inline_text.tbl_regression}()},
\code{\link{modify_header}()},
\code{\link{tbl_merge}()},
\code{\link{tbl_regression}()},
\code{\link{tbl_stack}()}
}
\author{
Karissa Whiting
}
\concept{tbl_regression tools}
